POST api/Challenges/DeletePostComment
Request Information
URI Parameters
None.
Body Parameters
PostCommentDeleteModel_v2| Name | Description | Type | Additional information |
|---|---|---|---|
| groupPostId | integer |
None. |
|
| commentGuid | globally unique identifier |
None. |
|
| accountGuid | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"groupPostId": 1,
"commentGuid": "50d8f2b2-6f8f-41fd-b97e-a18ec4620e6f",
"accountGuid": "a9e89831-7562-4ba7-b995-4321c3a5c163"
}
text/plain, application/octet-stream
Sample:
{"groupPostId":1,"commentGuid":"50d8f2b2-6f8f-41fd-b97e-a18ec4620e6f","accountGuid":"a9e89831-7562-4ba7-b995-4321c3a5c163"}
application/xml, text/xml
Sample:
<PostCommentDeleteModel_v2 xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Models.Groups_api_models"> <accountGuid>a9e89831-7562-4ba7-b995-4321c3a5c163</accountGuid> <commentGuid>50d8f2b2-6f8f-41fd-b97e-a18ec4620e6f</commentGuid> <groupPostId>1</groupPostId> </PostCommentDeleteModel_v2>
multipart/form-data, application/form-data
Sample:
<PostCommentDeleteModel_v2 xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Models.Groups_api_models"><accountGuid>a9e89831-7562-4ba7-b995-4321c3a5c163</accountGuid><commentGuid>50d8f2b2-6f8f-41fd-b97e-a18ec4620e6f</commentGuid><groupPostId>1</groupPostId></PostCommentDeleteModel_v2>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data
Sample:
Sample not available.